# H323Gatekeeper::InterfaceMonitor Class Reference

`#include <gkclient.h>`

Collaboration diagram for H323Gatekeeper::InterfaceMonitor:

[legend]

## Public Member Functions

| InterfaceMonitor (H323Gatekeeper &gk, PINDEX priority)

## Protected Member Functions

virtual void | OnAddInterface (const PIPSocket::InterfaceEntry &entry)
virtual void | OnRemoveInterface (const PIPSocket::InterfaceEntry &entry)

## Protected Attributes

H323Gatekeeper & | gk

## Constructor & Destructor Documentation

H323Gatekeeper::InterfaceMonitor::InterfaceMonitor | ( | H323Gatekeeper & | gk,
|  | PINDEX | priority |
| ) |  |  |

## Member Function Documentation

virtual void H323Gatekeeper::InterfaceMonitor::OnAddInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[protected, virtual]`

virtual void H323Gatekeeper::InterfaceMonitor::OnRemoveInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[protected, virtual]`

## Field Documentation

H323Gatekeeper& H323Gatekeeper::InterfaceMonitor::gk `[protected]`

The documentation for this class was generated from the following file:

- gkclient.h